Description

Please add a function to allow a pilot to trigger self destruct of their current ship

History

#1 - 2014-09-29 04:10 PM - CyberTech

- Status changed from New to Duplicate

This was implemented several years back :)

#2 - 2014-09-29 04:21 PM - CyberTech

- Status changed from Duplicate to New

No it wasn't! reopening.

#3 - 2014-10-04 09:20 PM - Amadeus
- Status changed from New to Implemented

- Assignee set to Amadeus

October 4, 2014
[ISXEVE-20141001.0009]
* Datatype: 'ship'
New Method:

1. SelfDestruct

* %

** EXAMPLE:

W MyShip:SelfDestruct
W wait 50 ${EVEWindow[byName,modal] (exists) }
W if (${EVEWindow[byName,modal].Text.Find["self-destruct your ship"]})
* * {
** EVEWindow [byName,modal] :ClickButtonYes
W echo "Your ship will now self-destruct in 2 minutes!"
* * }
* x
